@import "~@/assets/sass/theme.sass"
@import "~@/assets/sass/common/typography.sass"

.nav
  display: flex
  justify-content: space-between
  align-items: center
  grid-column-gap: 60px
  padding: 18px 0
  touch-action: none
  &-wrapper
    z-index: 100
    &.sticky
      position: sticky
      top: 0
      background-color: $black
  @media (max-width: $tbp)
    height: 72px

  &__logo
    background: $white
    border-radius: 10px
    padding: 24px 48px
    @media (max-width: $tbp)
      padding: 18px 48px
  &-menu
    display: flex
    align-items: center
    align-self: stretch
    grid-column-gap: 40px
    @media (max-width: $tbp)
      display: none
    &__item
      @extend .text-f16
      display: flex
      align-items: center
      cursor: pointer
      color: $white
      font-weight: 500
      height: 100%
      text-transform: capitalize
      &.router-link-exact-active
        color: $green
        border-bottom: 1px solid $green
  &-mobile-menu
    width: 100%
    align-self: flex-start
    flex-direction: column
    align-items: stretch
    &__item
      @extend .text-f18
      display: flex
      align-items: center
      cursor: pointer
      color: $white
      font-weight: 500
      padding: 16px 12px
      text-transform: capitalize
      border-bottom: 1px solid rgba($green, .5)
      &.router-link-exact-active
        color: $green
  &-mobile
    display: none
    transition: top .3s, bottom .3s
    padding-top: 24px
    top: 100%
    left: 0
    right: 0
    bottom: -100%
    background-color: $black
    z-index: 100
    position: fixed
    @media (max-width: $tbp)
      display: flex
      flex-direction: column
    &.opened
      top: 72px
      bottom: 0
    &-social
      padding: 0 20px
      display: flex
      align-items: center
      margin-top: 48px
      justify-content: space-between
      &-item
        width: 40px
        height: 40px
        display: flex
        justify-content: center
        align-items: center
        border-radius: 50%
  &__btn
    @media (max-width: $tbp)
      display: none
  &__burger
    display: none
    @media (max-width: $tbp)
      display: flex
      flex-direction: column
      grid-row-gap: 6px
      cursor: pointer
    div
      width: 36px
      height: 2px
      border-radius: 3px
      background-color: $green
      transition: width .2s, transform .2s
      &:last-child
        width: 24px
        align-self: flex-end
    &.opened
      div
        &:first-child
          transform: rotate(-45deg) translateY(5px)
        &:nth-child(2)
          transform: rotate(45deg) translateY(-5px)
        &:last-child
          width: 0

